<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from compdiv_maclaren.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="compdiv_maclaren" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>compdiv_maclaren</refname><refpurpose>A benchmark suggested by Mac Laren.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   compdiv_maclaren ( div )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>div :</term>
      <listitem><para> a function, the complex division under test. The function must have the header r=div(x,y).</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This function tests the accuracy of the complex division function <literal>div</literal>
based on a sequence of divisions designed by Nick Mac Laren.
We consider the division (a+%i*a)/(a+%i*k*a) for a=H/2 and k=0, 0.1, 0.2, ..., 2.0,
where H is the overflow threshold.
It is straightforward to factor both the numerator and the
denominator by a, so that the division is equal to (1+%i)/(1+%i*k).
This formula is used to compute the exact result, which is printed
with the "E" letter in the result.
The computation cannot be carried out for greater values of k, since
this makes the imaginary part of (a+%i*k*a) overflow.
The function <literal>div</literal> is printed with the "D" letter.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
compdiv_maclaren ( compdiv_scilab )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"How Computers Handle Numbers - Some of the Sordid Details", Nick Maclaren, July 2009, http://www-uxsup.csx.cam.ac.uk/courses/Arithmetic/paper_99.pdf</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2011 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
